From: "Davide Pesavento" <pesa@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/PyQtWebEngine/
Date: Wed, 3 Apr 2019 01:01:15 +0000 (UTC) [thread overview]
Message-ID: <1554253204.f825780d71b5783c4f7a3845fa0fb61c68ed0194.pesa@gentoo> (raw)
commit: f825780d71b5783c4f7a3845fa0fb61c68ed0194
Author: Stefan Strogin <stefan.strogin <AT> gmail <DOT> com>
AuthorDate: Thu Mar 21 04:22:05 2019 +0000
Commit: Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Wed Apr 3 01:00:04 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f825780d
dev-python/PyQtWebEngine: new package
PyQtWebEngine is a set of Python bindings for Qt WebEngine framework.
Before PyQt5-5.12 these bindings were a part of PyQt5. Now it is a
separate package.
Packages that depended on dev-python/PyQt5[webengine] now must depend on
dev-python/PyQtWebEngine.
Closes: https://bugs.gentoo.org/679202
Closes: https://github.com/gentoo/gentoo/pull/11432
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Stefan Strogin <stefan.strogin <AT> gmail.com>
Signed-off-by: Davide Pesavento <pesa <AT> gentoo.org>
dev-python/PyQtWebEngine/Manifest | 1 +
.../PyQtWebEngine/PyQtWebEngine-5.12.1.ebuild | 73 ++++++++++++++++++++++
dev-python/PyQtWebEngine/metadata.xml | 32 ++++++++++
3 files changed, 106 insertions(+)
diff --git a/dev-python/PyQtWebEngine/Manifest b/dev-python/PyQtWebEngine/Manifest
new file mode 100644
index 00000000000..f8fee855550
--- /dev/null
+++ b/dev-python/PyQtWebEngine/Manifest
@@ -0,0 +1 @@
+DIST PyQtWebEngine_gpl-5.12.1.tar.gz 42474 BLAKE2B 6cb333d8e429ae6b9f8c20a7486754767639693351605e85c0226ab3f1f065a549d40d69669d91f501fdf2c30346304a547e36b416d275a8bfe4ea621c0633b7 SHA512 2bcb0e4da51de9cfb5128e03c03ada77f2d4b99b0885da910584717681b96759ce4301c325cbbf43602d46746e2d37d81ed62f77dd63b33359fd5fae74d7f010
diff --git a/dev-python/PyQtWebEngine/PyQtWebEngine-5.12.1.ebuild b/dev-python/PyQtWebEngine/PyQtWebEngine-5.12.1.ebuild
new file mode 100644
index 00000000000..3ce48a7c942
--- /dev/null
+++ b/dev-python/PyQtWebEngine/PyQtWebEngine-5.12.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+inherit python-r1 qmake-utils
+
+DESCRIPTION="Python bindings for QtWebEngine"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqtwebengine/intro"
+
+MY_PN=PyQtWebEngine
+MY_P=${MY_PN}_gpl-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+ SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
+else
+ SRC_URI="https://www.riverbankcomputing.com/static/Downloads/${MY_PN}/${PV}/${MY_P}.tar.gz"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="debug"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ >=dev-python/PyQt5-5.12[gui,network,printsupport,webchannel,widgets,${PYTHON_USEDEP}]
+ >=dev-python/PyQt5-sip-4.19.14:=[${PYTHON_USEDEP}]
+ dev-qt/qtcore:5
+ dev-qt/qtwebengine:5[widgets]
+"
+DEPEND="${RDEPEND}
+ >=dev-python/sip-4.19.14[${PYTHON_USEDEP}]
+"
+
+S=${WORKDIR}/${MY_P}
+
+src_configure() {
+ configuration() {
+ local myconf=(
+ "${PYTHON}"
+ "${S}"/configure.py
+ --qmake="$(qt5_get_bindir)"/qmake
+ $(usex debug '--debug --trace' '')
+ --verbose
+ )
+ echo "${myconf[@]}"
+ "${myconf[@]}" || die
+
+ # Fix parallel install failure
+ sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets' ${MY_PN}.pro || die
+
+ # Run eqmake to respect toolchain and build flags
+ eqmake5 -recursive ${MY_PN}.pro
+ }
+ python_foreach_impl run_in_build_dir configuration
+}
+
+src_compile() {
+ python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+ installation() {
+ emake INSTALL_ROOT="${D}" install
+ python_optimize
+ }
+ python_foreach_impl run_in_build_dir installation
+
+ einstalldocs
+}
diff --git a/dev-python/PyQtWebEngine/metadata.xml b/dev-python/PyQtWebEngine/metadata.xml
new file mode 100644
index 00000000000..c63098a37ce
--- /dev/null
+++ b/dev-python/PyQtWebEngine/metadata.xml
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>qt@gentoo.org</email>
+ <name>Gentoo Qt Project</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>stefan.strogin@gmail.com</email>
+ <name>Stefan Strogin</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <longdescription lang="en">
+ PyQtWebEngine is a set of Python bindings for The Qt Company's
+ Qt WebEngine libraries. The bindings sit on top of PyQt5 and
+ are implemented as a set of three modules. Prior to v5.12 these
+ bindings were part of PyQt5 itself.
+ </longdescription>
+ <upstream>
+ <maintainer status="active">
+ <email>phil@riverbankcomputing.com</email>
+ <name>Phil Thompson</name>
+ </maintainer>
+ <changelog>https://www.riverbankcomputing.com/static/Downloads/PyQtWebEngine/ChangeLog</changelog>
+ <doc>https://www.riverbankcomputing.com/static/Docs/PyQt5/</doc>
+ <bugs-to>mailto:pyqt@riverbankcomputing.com</bugs-to>
+ <remote-id type="pypi">PyQtWebEngine</remote-id>
+ </upstream>
+</pkgmetadata>
next reply other threads:[~2019-04-03 1:01 UTC|newest]
Thread overview: 72+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-04-03 1:01 Davide Pesavento [this message]
-- strict thread matches above, loose matches on Subject: below --
2019-05-06 23:42 [gentoo-commits] repo/gentoo:master commit in: dev-python/PyQtWebEngine/ Stefan Strogin
2019-07-08 11:05 Agostino Sarubbo
2019-07-08 12:10 Thomas Deutschmann
2019-07-10 5:48 Davide Pesavento
2019-07-14 23:13 Davide Pesavento
2019-07-23 16:45 Aaron Bauman
2019-07-28 20:27 Mikle Kolyada
2019-09-24 22:39 Davide Pesavento
2019-09-26 2:50 Davide Pesavento
2019-11-05 6:02 Davide Pesavento
2019-11-16 19:45 Davide Pesavento
2019-11-16 19:45 Davide Pesavento
2019-12-27 3:33 Davide Pesavento
2019-12-27 3:33 Davide Pesavento
2019-12-27 3:33 Davide Pesavento
2019-12-31 14:02 Agostino Sarubbo
2019-12-31 14:06 Agostino Sarubbo
2020-01-27 12:28 Mikle Kolyada
2020-03-07 15:11 Michał Górny
2020-03-07 15:23 Michał Górny
2020-03-21 15:52 Agostino Sarubbo
2020-03-22 10:37 Agostino Sarubbo
2020-04-26 18:12 Andreas Sturmlechner
2020-06-08 16:34 Mart Raudsepp
2020-06-09 19:46 Michał Górny
2020-06-10 18:52 Davide Pesavento
2020-06-10 18:59 Davide Pesavento
2020-06-11 1:44 Davide Pesavento
2020-07-31 4:58 Davide Pesavento
2020-08-01 23:20 Andreas Sturmlechner
2020-09-16 0:48 Davide Pesavento
2020-11-25 23:09 Thomas Deutschmann
2020-11-26 10:48 Sam James
2020-11-28 9:13 Agostino Sarubbo
2020-11-28 21:59 Andreas Sturmlechner
2020-12-17 0:45 Davide Pesavento
2021-01-20 7:41 Agostino Sarubbo
2021-01-22 18:45 Sam James
2021-02-18 8:23 Sam James
2021-05-24 9:10 Andreas Sturmlechner
2021-06-01 17:07 Andrew Ammerlaan
2021-06-01 20:21 Davide Pesavento
2021-06-19 20:42 Davide Pesavento
2021-07-19 18:36 Sam James
2021-08-02 2:25 Davide Pesavento
2021-09-03 1:53 Sam James
2021-09-03 4:03 Davide Pesavento
2021-10-21 5:19 Davide Pesavento
2021-10-22 3:10 Davide Pesavento
2022-06-01 1:55 Sam James
2022-06-01 1:55 Sam James
2022-06-01 5:25 Sam James
2022-06-08 19:16 Andrew Ammerlaan
2022-09-26 17:18 Andreas Sturmlechner
2022-11-22 20:01 Arthur Zamarin
2022-11-24 11:27 Sam James
2022-12-25 17:39 Arthur Zamarin
2023-02-07 10:37 Andreas Sturmlechner
2023-02-07 17:25 Andreas Sturmlechner
2023-03-17 15:29 Michał Górny
2023-07-25 0:10 Ionen Wolkens
2023-08-24 12:40 Sam James
2023-08-24 12:40 Sam James
2023-08-24 12:47 Michał Górny
2024-06-28 14:45 Ionen Wolkens
2024-07-19 14:39 Ionen Wolkens
2024-08-03 16:48 Jakov Smolić
2024-09-10 18:42 Arthur Zamarin
2024-09-11 3:09 Michał Górny
2024-11-22 20:00 Michał Górny
2024-11-23 11:36 Andreas Sturmlechner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1554253204.f825780d71b5783c4f7a3845fa0fb61c68ed0194.pesa@gentoo \
--to=pesa@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox